AchievementNaturalist = class(Turbine.UI.Control)
function AchievementNaturalist:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.effectList = {
        ["Bear-form"] = true,
        ["Wanderlust"] = true,
    }

    for i = 1, PlayerEffectsHandler:GetPlayerEffects():GetCount() do
        if self.effectList[PlayerEffectsHandler:GetPlayerEffects():Get(i):GetName()] then 
            handler:Fail("Naturalist", "Went into bear form", 0x41153603)
        end
    end

    self.effectCallback = AddCallback(PlayerEffectsHandler, "EffectAdded", function(effect)
        if self.effectList[effect:GetName()] then
            handler:Fail("Naturalist", "Went into bear form", 0x41153603)
        end
    end)
end

function AchievementNaturalist:Unload()
    RemoveCallback(PlayerEffectsHandler, "EffectAdded", self.effectCallback)
end